@use '@angular/material' as mat;
@use 'top-bar';

$menu-button-height: 48px; // height of menu buttons
$menu-bottom-margin: 72px; // spacing between bottom of window and bottom of full extended menu
$menu-button-width: 64px; // width of menu buttons
$menu-item-padding-left: 1em;
$menu-midi-width: 20vw; // 'normal' menu and label width
$midi-margin: 5px;
$midi-padding: 10px;

@function menu-panel-max-height($item-num) {
  @return calc(
    100vh - (#{$menu-button-height} * #{$item-num}) - (#{$menu-bottom-margin})
  );
}

@function app-menu-panel-max-height($item-num) {
  @return calc(
    100vh - (#{$menu-button-height} * #{$item-num}) -
      (#{top-bar.$top-bar-height})
  );
}
